Bug 1286119 - Review Request: python-binaryornot - A pure Python package to check if a file is binary or text
Review Request: python-binaryornot - A pure Python package to check if a file...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 06:25 EST by Pierre-YvesChibon
Modified: 2016-02-25 01:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:28:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2015-11-27 06:25:31 EST
Spec URL: http://pingou.fedorapeople.org/RPMs//python-binaryornot.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//python-binaryornot-0.4.0-1.fc21.src.rpm

Description:
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.
Comment 1 Pierre-YvesChibon 2015-11-27 06:25:53 EST
Scratch-build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=11993764
Comment 2 Upstream Release Monitoring 2015-11-27 06:28:11 EST
pingou's scratch build of python-binaryornot-0.4.0-1.fc21.src.rpm for f24-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11993777
Comment 3 William Moreno 2015-11-27 15:16:44 EST
Are you going to epel6 or epel5?

Epel7 and all current Fedoras have suport for python3 so there is not need of if python3 conditional.

Also as part os current python packaging guidelinis you mus provide a python2 and a python3 subpackage. 

Upstream provides build in documentation than you can build with python-sphinx and then include the documentation in a -docs subpackage.

You can update you spec to use the news %py2_build %py3_build %py2_install and %py3_install also try to build the packages from the same directory, most python libs do not requiere separate directories so build for python 2 and 3.

https://fedoraproject.org/wiki/Packaging:Python
Comment 4 Pierre-YvesChibon 2015-11-30 04:05:05 EST
Hi,

Thanks for looking into this.

Here is the updated spec file and srpm:
Spec URL: http://pingou.fedorapeople.org/RPMs//python-binaryornot.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//python-binaryornot-0.4.0-2.fc21.src.rpm

I do want to an EPEL7 branch but no el6 or el5, but I kept the boolean switch for the py3 sub-package as the dependencies needed aren't available for py3 in EPEL7 atm.
Comment 6 Upstream Release Monitoring 2015-12-10 18:57:41 EST
williamjmorenor's scratch build of python-binaryornot-0.4.0-2.fc21.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12142480
Comment 7 William Moreno 2015-12-11 13:03:16 EST
Package Aproved
===============

1. Include the HISTORY.rst AUTHORS.rst and CONTRIBUTING.rst with %doc

===== MUST items =====
Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. 
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-binaryornot-0.4.0-2.fc23.noarch.rpm
          python3-binaryornot-0.4.0-2.fc23.noarch.rpm
          python-binaryornot-docs-0.4.0-2.fc23.noarch.rpm
          python-binaryornot-0.4.0-2.fc23.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python2-binaryornot (rpmlib, GLIBC filtered):
    python(abi)
    python-chardet

python-binaryornot-docs (rpmlib, GLIBC filtered):

python3-binaryornot (rpmlib, GLIBC filtered):
    python(abi)
    python3-chardet

Provides
--------
python2-binaryornot:
    python-binaryornot
    python2-binaryornot

python-binaryornot-docs:
    python-binaryornot-docs

python3-binaryornot:
    python3-binaryornot

Source checksums
----------------
https://pypi.python.org/packages/source/b/binaryornot/binaryornot-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : ab0f387b28912ac9c300db843461359e2773da3b922ae378ab69b0d85b288ec8
  CHECKSUM(SHA256) upstream package : ab0f387b28912ac9c300db843461359e2773da3b922ae378ab69b0d85b288ec8
Comment 8 Gwyn Ciesla 2015-12-15 09:48:39 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-binaryornot
Comment 9 Fedora Update System 2016-02-09 03:18:01 EST
python-binaryornot-0.4.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cafba84088
Comment 10 Fedora Update System 2016-02-09 03:18:03 EST
python-binaryornot-0.4.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d302423db2
Comment 11 Fedora Update System 2016-02-09 03:18:05 EST
python-binaryornot-0.4.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cafba84088
Comment 12 Fedora Update System 2016-02-09 17:26:15 EST
python-binaryornot-0.4.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cafba84088
Comment 13 Fedora Update System 2016-02-10 06:52:52 EST
python-binaryornot-0.4.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d302423db2
Comment 14 Fedora Update System 2016-02-21 11:28:45 EST
python-binaryornot-0.4.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-25 01:30:15 EST
python-binaryornot-0.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.